| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLRegisterCleanup Class Reference

`#include <XMLRegisterCleanup.hpp>`

Collaboration diagram for XMLRegisterCleanup:

[legend]
List of all members.

## Public Types

typedef void (* | XMLCleanupFn )()

## Public Methods

void | doCleanup ()
void | registerCleanup (XMLCleanupFn cleanupFn)
void | unregisterCleanup ()
| XMLRegisterCleanup ()

## Member Typedef Documentation

typedef void (* XMLRegisterCleanup::XMLCleanupFn)()

## Constructor & Destructor Documentation

XMLRegisterCleanup::XMLRegisterCleanup ( | )

## Member Function Documentation

void XMLRegisterCleanup::doCleanup ( | )

void XMLRegisterCleanup::registerCleanup ( | XMLCleanupFn cleanupFn )

void XMLRegisterCleanup::unregisterCleanup ( | )

The documentation for this class was generated from the following file:

- XMLRegisterCleanup.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.